GetUserAttribute
GET
/api/v1/users/{user}/userattributes/{user_attribute}Fetch one attribute of a user by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/users/{user}/userattributes/{user_attribute}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/users/{user}/userattributes/{user_attribute}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequiredFormat:
users/{user}/userattributes/{user_attribute}
Response
Section titled “Response”200UserAttributenamestringAssigned by Oblique. Name of the attribute of the format
users/{user}/userattributes/{user_attribute}.createTimestring (date-time)read-onlyCreate timestamp of the attributes. This is always the same as the parent user.
updateTimestring (date-time)read-onlyThe last time that attributes were modified.
integrationstringrequiredThe integration that manages the attribute.
Format:
integrations/{integration}keystringrequiredThe key of the attribute, such as “department” or “costCenter”.
valuestringrequiredThe value of the attribute, such as “Engineering” or “12345”.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |